<template lang="pug">
	section#busqueda
		header
			//-h1 Busqueda
			Buscar( :categoria="consulta.categoria", :valor="consulta.valor" )
		article.contenido
			ListadoBusqueda
			//-pre {{consulta}}
			//-pre {{resultados}}

		modal.comparteArchivo(
			name="compartirArchivo",
			:max-width="720",
			:max-height="140",
			:adaptive="true",
			width="80%",
		)
			button.cerrar(
				type="button",
				@click="$modal.hide('compartirArchivo')" ) &times;
			.contenido
				h3 Enlace del archivo
				.campo
					input(type = "text", v-model="archivoEnlace", "readonly",@focus="$event.target.select()", @click.prevent="$event.target.select()")

</template>


<script>
	import Buscar from "@/components/Buscar";
	import Buscador from "@/components/Buscador";
	import ListadoBusqueda from "@/components/ListadoBusqueda";
	import { enlace as obtenerEnlace } from "@/api/archivos";
	import { mapState, mapActions, mapMutations } from "vuex";

	export default {
		name: "Busqueda",
		components: {
			Buscar,
			ListadoBusqueda
		},
		data() {
			return {
				archivoEnlace: ""
			};
		},
		computed: {
			consulta() {
				return this.$route.query;
			},
			...mapState(["resultados"])
		},
		methods: {
			...mapActions([]),
			...mapMutations([])
		},
		mounted() {
			//console.log("mounted busqueda");
			//console.log( this.$route.query );
			this.$root.$on("archivo-compartir", id => {
				//console.log(id);
				this.$modal.show("compartirArchivo");
				this.archivoEnlace = "";
				obtenerEnlace(id).then(rpta => (this.archivoEnlace = rpta.url));
			});
		}
	};
</script>

<style lang="stylus" scoped>
	@import "~nib/index"
	@import "../stylus/base/utiles.styl"

	#busqueda
		background-color azul
		padding 1rem
		display flex
		flex-direction column
		align-items center

	header
		max-width 1020px
		border-radius .5rem
		// background-color tint( azul, 80% )
		overflow hidden

		h1
			text-align center
			padding .5rem
			text-transform uppercase
			font-weight bold
			padding 1rem
			// background-color tint( azul, 50% )
			color tint( azul, 90% )

	#buscar
		padding .5rem

	.contenido
		background-color blanco
		margin 1rem
		width 1020px
		max-width 95vw
		flex-direction column
		align-items stretch

	.comparteArchivo
		.cerrar
			absolute top right
			padding .2rem .4rem
			color tint( azul, 40% )
			background-color blanco
			font-size 1.5rem
			cursor pointer
			font-weight bold
			z-index 1

		.contenido
			margin 0
			padding 2rem
			width 100%
			max-width 100%
			box-sizing border-box

			h3
				font-weight bold
				font-size 1rem
				margin-bottom .4rem

			.campo
				display flex
				padding .5rem .8rem
				border 1px solid alpha( #CCC, 50% )
				border-radius .2rem

				// background-color tint( azul, 40% )
				input
					color grey
					flex 1 0 auto
					border none
					outline none
</style>
